package com.yd.rmi.ali.mail.vo;

import java.util.List;

public class SendMailRequestVO {
	private String toAddress;//收件人邮箱
	private String[] ccAddresses;//抄送人邮箱
	private String subject;//邮件标题
	private String messageText;//邮件TEXT正文
	private String messageHtml;//邮件HTML正文
	private List<String> attachmentFiles;//邮件附件
	private String imageFile;//邮件图片
	private String templateName;//模板名称，阿里云配置
	private String receiversName;//收件人列表，阿里云配置
	private String sendType;//发送类型： 1 single ; 2 batch ; 3 smpt
	public String getToAddress() {
		return toAddress;
	}
	public void setToAddress(String toAddress) {
		this.toAddress = toAddress;
	}
	public String[] getCcAddresses() {
		return ccAddresses;
	}
	public void setCcAddresses(String[] ccAddresses) {
		this.ccAddresses = ccAddresses;
	}
	public String getSubject() {
		return subject;
	}
	public void setSubject(String subject) {
		this.subject = subject;
	}
	public String getMessageText() {
		return messageText;
	}
	public void setMessageText(String messageText) {
		this.messageText = messageText;
	}
	public String getMessageHtml() {
		return messageHtml;
	}
	public void setMessageHtml(String messageHtml) {
		this.messageHtml = messageHtml;
	}
	public String getImageFile() {
		return imageFile;
	}
	public void setImageFile(String imageFile) {
		this.imageFile = imageFile;
	}
	public String getTemplateName() {
		return templateName;
	}
	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}
	public String getReceiversName() {
		return receiversName;
	}
	public void setReceiversName(String receiversName) {
		this.receiversName = receiversName;
	}
	public String getSendType() {
		return sendType;
	}
	public void setSendType(String sendType) {
		this.sendType = sendType;
	}

	public List<String> getAttachmentFiles() {
		return attachmentFiles;
	}

	public void setAttachmentFiles(List<String> attachmentFiles) {
		this.attachmentFiles = attachmentFiles;
	}
}